: Class LookupResult

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class LookupResult

    java.lang.Object
      |
      +--org.w3c.tools.resources.LookupResult

public class LookupResult
extends java.lang.Object

This class is the result of the lookup algorithm.

Field Summary
`protected ResourceFilter[]` | `filters` The current set of computed filters to be applied on the resource.
`static int` | `FILTERS_INCR`
`static int` | `FILTERS_INIT_SIZE`
`protected int` | `flength` The number of registered filters at this point.
`protected ReplyInterface` | `reply` Any reply that can be computed during lookup.
`protected ResourceReference` | `target` The current target of the lookup operation.

Constructor Summary
`LookupResult(ResourceReference target)` Create a new empty lookup result object.

Method Summary
`void` | `addFilter(ResourceFilter filter)` Add a filter, to be invoked by the resource's `perform` method.
`void` | `addFilters(ResourceFilter[] fs)` Add a set of filters to be invoked by the resource's `perform` method.
`ResourceFilter[]` | `getFilters()` Get the full list of filters to be applied when performing on the resource.
`ReplyInterface` | `getReply()` Get the reply generated during the lookup.
`ResourceReference` | `getTarget()` Get the current lookup target of the lookup in progress.
`boolean` | `hasReply()` Does this LookupResult has a Reply.
`void` | `setReply(ReplyInterface reply)` Set the reply generated during the lookup.
`void` | `setTarget(ResourceReference target)` Set the current target of the lookup operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTERS_INIT_SIZE

    public static final int FILTERS_INIT_SIZE

### FILTERS_INCR

    public static final int FILTERS_INCR

### reply

    protected ReplyInterface reply

  Any reply that can be computed during lookup.

### target

    protected ResourceReference target

  The current target of the lookup operation.

### filters

    protected ResourceFilter[] filters

  The current set of computed filters to be applied on the resource.

### flength

    protected int flength

  The number of registered filters at this point.

Constructor Detail

### LookupResult

    public LookupResult(ResourceReference target)

  Create a new empty lookup result object.
  Parameters:
    `target` - The root target of the lookup operation to run.

Method Detail

### getTarget

    public ResourceReference getTarget()

  Get the current lookup target of the lookup in progress.
  Returns:
    An ResourceReference, that may be null.

### setTarget

    public void setTarget(ResourceReference target)

  Set the current target of the lookup operation.
  Parameters:
    `target` - The new current target of the lookup in progress.

### getReply

    public ReplyInterface getReply()

  Get the reply generated during the lookup.
  Returns:
    A ReplyInterface instance.

### setReply

    public void setReply(ReplyInterface reply)

  Set the reply generated during the lookup.
  Parameters:
    `reply` - A ReplyInterface instance.

### hasReply

    public boolean hasReply()

  Does this LookupResult has a Reply.
  Returns:
    a boolean.

### addFilter

    public void addFilter(ResourceFilter filter)

  Add a filter, to be invoked by the resource's `perform` method.
  Parameters:
    `filter` - The HTTPFIlter to be called.

### addFilters

    public void addFilters(ResourceFilter[] fs)

  Add a set of filters to be invoked by the resource's `perform` method.
  Parameters:
    `filters` - The array of filters to register.

### getFilters

    public ResourceFilter[] getFilters()

  Get the full list of filters to be applied when performing on the resource.
  Returns:
    An array of ResourceFilter instances, or null if none is defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD